IntlCalendar::isLenient
IntlCalendar::isWeekend
IntlCalendar
PHP Manual

# IntlCalendar::isSet

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::isSet — Whether a field is set

### Description

Object oriented style

public bool IntlCalendar::isSet ( int `$field` )

Procedural style

bool intlcal_is_set ( IntlCalendar `$cal` , int `$field` )

Returns whether a field is set (as opposed to clear). Set fields take priority over unset fields and their default values when the date/time is being calculated. Fields set later take priority over fields set earlier.

### Parameters

`cal`

  The IntlCalendar resource.

`field`

  One of the IntlCalendar date/time field constants. These are integer values between 0 and `IntlCalendar::FIELD_COUNT`.

### Return Values

Assuming there are no argument errors, returns `TRUE` iif the field is set.

### Examples

See the example on IntlCalendar::clear().

### See Also

- IntlCalendar::clear() - Clear a field or all fields
- IntlCalendar::set() - Set a time field or several common fields at once

IntlCalendar::isLenient
IntlCalendar::isWeekend
IntlCalendar
PHP Manual